/****************************************************

	JConfig Source Code Distribution
	version: 2.1.0      written: Fri Aug 11 01:18:08 PDT 2000

	Unless otherwise noted, all contents
	Copyright (c) 1997,1998,1999,2000 Samizdat Productions.
	All Rights Reserved.
	All contents are subject to the terms of the
	JConfig Source Code License Agreement

****************************************************/

#ifndef INC_MiniBackground_H
#define INC_MiniBackground_H

#include <QDOffscreen.h>
#include "comdefs.h"

typedef struct {
	GWorldPtr		theGWorld;
	Rect			theRect;
	GWorldPtr		saveGWorld;
	GDHandle		saveGDevice;
	Byte			*theBytes;
	PixMapHandle	thePixMapH;
	long			theRowBytes, bitDepth;
} GWorldX, *GWorldXPtr;

ErrCode makeMiniBackground( GWorldXPtr gxP, long width, long height, long pixelDepth );
void setAsPortMiniBackground( GWorldXPtr gxP );
void restorePortMiniBackground( GWorldXPtr gxP );
void disposeMiniBackground( GWorldXPtr gxP );

#endif

